aboutsummaryrefslogtreecommitdiffstats
path: root/community/netatalk/netatalk.initd
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2017-08-19 14:37:13 +0200
committerJakub Jirutka <jakub@jirutka.cz>2017-08-19 14:37:13 +0200
commit9b851db8412c1aa0ef307ed24b2aa1efc3f4a7ec (patch)
tree1a6c16ae9c002025a82c87b1130a35d80b3262ff /community/netatalk/netatalk.initd
parent314769d9d54a15539c3be60f6036dac8e1f32941 (diff)
downloadaports-9b851db8412c1aa0ef307ed24b2aa1efc3f4a7ec.tar.bz2
aports-9b851db8412c1aa0ef307ed24b2aa1efc3f4a7ec.tar.xz
community/netatalk: move from testing
Diffstat (limited to 'community/netatalk/netatalk.initd')
-rw-r--r--community/netatalk/netatalk.initd19
1 files changed, 19 insertions, 0 deletions
diff --git a/community/netatalk/netatalk.initd b/community/netatalk/netatalk.initd
new file mode 100644
index 0000000000..3fdb482de4
--- /dev/null
+++ b/community/netatalk/netatalk.initd
@@ -0,0 +1,19 @@
+#!/sbin/openrc-run
+
+extra_started_commands="reload"
+description_reload="Reload configuration file"
+
+command="/usr/sbin/netatalk"
+
+depend() {
+ need net
+ use logger dns
+ after firewall
+}
+
+reload() {
+ ebegin "Reloading $name"
+
+ start-stop-daemon --signal SIGHUP --name $command
+ eend $?
+}